/*SummaryRegion.java
/* NewGarden 
/*
/* Copyright  2005-2011 Stephan Pelikan and Steven Rogstad
/* contact:  pelikan@math.uc.edu
/*
/* This program is free software; you can redistribute it and/or modify
/* it under the terms of the GNU Library General Public License as published 
/* by  the Free Software Foundation; either version 3 of the License or
/* (at your option) any later version.
/*
/* This program is distributed in the hope that it will be useful, but
/* WITHOUT ANY WARRANTY; without even the implied warranty of
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
/* GNU Library General Public License for more details.
/*
/* You should have received a copy of the GNU  General Public License
/* along with this program; see the file gpl-3.0.txt  If not, write to 
/* the Free Software Foundation Inc., 59 Temple Place - Suite 330, 
/* Boston, MA  02111-1307 USA
 */

/**
 *
 * @author sep
 */
import java.util.*;
public class SummaryRegions {
    public ArrayList Regions;
public SummaryRegions()
{
    Regions=new ArrayList<Region>();
}
public void addRegion(Region r)
{
    Regions.add(r);
}
public String toXML()
{
    StringBuffer sb=new StringBuffer();
    sb.append("<SummaryRegions>\n");
    Iterator it=Regions.iterator();
    while(it.hasNext())
    {
        Region r= (Region)it.next();
        sb.append(r.toXML());
    }
    sb.append("</SummaryRegions>\n");
    return sb.toString();
}
}
